OpenGL-2.2.3.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Graphics.Rendering.OpenGL.GL.PixelRectangles.Convolution

Description

This module corresponds to a part of section 3.6.1 (Pixel Storage Modes) of the OpenGL 2.1 specs.

# Documentation

data ConvolutionTarget

Constructors

Convolution1D |
Convolution2D |
Separable2D |

Instances

Eq ConvolutionTarget |
Ord ConvolutionTarget |
Show ConvolutionTarget |

convolution :: ConvolutionTarget -> StateVar Capability

convolutionFilter1D :: PixelInternalFormat -> GLsizei -> PixelData a -> IO ()

getConvolutionFilter1D :: PixelData a -> IO ()

convolutionFilter2D :: PixelInternalFormat -> Size -> PixelData a -> IO ()

getConvolutionFilter2D :: PixelData a -> IO ()

separableFilter2D :: PixelInternalFormat -> Size -> PixelData a -> PixelData a -> IO ()

getSeparableFilter2D :: PixelData a -> PixelData a -> IO ()

copyConvolutionFilter1D :: PixelInternalFormat -> Position -> GLsizei -> IO ()

copyConvolutionFilter2D :: PixelInternalFormat -> Position -> Size -> IO ()

convolutionWidth :: ConvolutionTarget -> GettableStateVar GLsizei

convolutionHeight :: ConvolutionTarget -> GettableStateVar GLsizei

maxConvolutionWidth :: ConvolutionTarget -> GettableStateVar GLsizei

maxConvolutionHeight :: ConvolutionTarget -> GettableStateVar GLsizei

data ConvolutionBorderMode

Constructors

Reduce |
ConstantBorder (Color4 GLfloat) |
ReplicateBorder |

Instances

Eq ConvolutionBorderMode |
Ord ConvolutionBorderMode |
Show ConvolutionBorderMode |

convolutionBorderMode :: ConvolutionTarget -> StateVar ConvolutionBorderMode

convolutionFilterScale :: ConvolutionTarget -> StateVar (Color4 GLfloat)

convolutionFilterBias :: ConvolutionTarget -> StateVar (Color4 GLfloat)